apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: svb-app-link-process
  namespace: bk-test
spec:
  interval: 5m
  chart:
    spec:
      chart: /chart/app-link-process
      version: "0.10.0"
      sourceRef:
        kind: GitRepository
        name: app-link-process
        namespace: bk-test
      interval: 1m
  values:
    nameOverride: svb-app-link-process
    config:
      organization: "SVB"
      organizationLogoUrl: "https://via.placeholder.com/556x107.png?text=SVB"
      linkRegisterAPIKeySecretName: "svb-link-register-apikey"
      linkRegisterAddress: "http://svb-link-register"
      sessionRegisterAPIKeySecretName: "svb-session-register-apikey"
      sessionRegisterAddress: "http://svb-session-register"
      outwayAddress: "http://svb-nlx-outway"
      organizationOIN: "01634811390244144305"
    ingress:
      enabled: true
      hosts:
        - app-link-process-svb.demo.blauweknop.app
      tls:
        - secretName: wildcard-cert-demo-blauweknop-app
          hosts:
            - app-link-process-svb.demo.blauweknop.app
